#!/usr/bin/env python

import sys

if len(sys.argv) < 3:
    print "usage: run-avg.py input.dat output.dat"
    sys.exit(1)

inp = open(sys.argv[1],'rb')
out = open(sys.argv[2],'w')

# read file as list of lines
lines = inp.readlines()

sum = 0.0
count = 0

for l in lines:
    c = l.split()
    sum = sum + float(c[1])
    count = count + 1
    out.write(c[0]+' '+str(sum/count)+"\n")

inp.close()
out.close()

