#!/usr/bin/env python

import sys

if len(sys.argv) < 4:
    print "usage: win-avg.py input.dat output.dat #win"
    sys.exit(1)

inp = open(sys.argv[1],'rb')
out = open(sys.argv[2],'w')
win = int(sys.argv[3])

# read file as list of lines
lines = inp.readlines()

# initialize empty list
buf = []

for l in lines:
    c = l.split()
    buf.append(float(c[1]))
    if len(buf) > win:
        buf.pop(0);
    else:
        continue
    sum = 0.0
    for s in buf:
        sum = sum + s
    out.write(c[0]+' '+str(sum/len(buf))+"\n")

inp.close()
out.close()

