#!/usr/bin/env python

import sys

if len(sys.argv) < 4:
    print "usage: get-col.py input.dat output.dat col#"
    sys.exit(1)

inp = open(sys.argv[1],'rb')
out = open(sys.argv[2],'w')
col = sys.argv[3]

# read file as list of lines
lines = inp.readlines()

for l in lines:
    if l.find('#',0) == 0: # skip over comment lines
        continue
    c = l.split()
    if int(col) <= len(c):
        out.write(str(c[0])+' '+str(c[(int(col)-1)])+"\n")

inp.close()
out.close()

