#!/usr/bin/env python

import sys

if len(sys.argv) < 4:
    print "usage: win-avg.py input.dat output.dat #win"
    sys.exit(1)

inp = open(sys.argv[1],'rb')
out = open(sys.argv[2],'w')
win = int(sys.argv[3])

# read file as list of lines
lines = inp.readlines()

# initialize list
buf = [ ]
for i in range(0,win):
    buf.append(0.0)

idx = 0
count = 0
for l in lines:
    c = l.split()
    buf[idx] = float(c[1])
    idx = idx + 1
    count = count + 1
    if idx == win:
        idx = 0
    if count > win:
        sum = 0.0
        for s in buf:
            sum = sum + s
        out.write(c[0]+' '+str(sum/win)+"\n")

inp.close()
out.close()

